<< zp2ss | FOSSEE_Signal_Processing_Toolbox | zplane >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > zp2tf

# zp2tf

Converts zeros / poles to a transfer function.

### Syntax

    [num, den] = zp2tf (z, p, k)
    num = zp2tf (z, p, k)

### Parameters

z:

  Zeros

p:

  Poles

k:

  Leading coefficient (Gain)

Num:

  Numerator coefficients of the transfer function

den:

  Denomenator coefficients of the transfer function

### Description

It converts zeros / poles representation to transfer function representation.

### Examples

    z = [1 2 3]
    p = [4 5 6]
    k = 5
    [num, den] = zp2tf (z, p, k)

Report an issue
<< zp2ss | FOSSEE_Signal_Processing_Toolbox | zplane >>